[arch-commits] Commit in hasktags/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon May 14 09:23:53 UTC 2018


    Date: Monday, May 14, 2018 @ 09:23:52
  Author: felixonmars
Revision: 321957

archrelease: copy trunk to community-x86_64

Added:
  hasktags/repos/community-x86_64/PKGBUILD
    (from rev 321956, hasktags/trunk/PKGBUILD)
Deleted:
  hasktags/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   83 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 44 insertions(+), 39 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-05-14 09:23:25 UTC (rev 321956)
+++ PKGBUILD	2018-05-14 09:23:52 UTC (rev 321957)
@@ -1,39 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-pkgname=hasktags
-pkgver=0.69.5
-pkgrel=1
-pkgdesc="Produces ctags \"tags\" and etags \"TAGS\" files for Haskell programs"
-url="https://github.com/MarcWeber/hasktags"
-license=("custom:BSD3")
-arch=('x86_64')
-depends=('ghc-libs' "haskell-hunit" "haskell-json" "haskell-utf8-string")
-makedepends=('ghc')
-source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('2394a41ce5f6a24b3deec9157dcc29bc5aad2da1d133d15982918d2833fc4c4299fa9b68ea42de85ce2085cfe32d39c32aaf9fddff6c0c3687044a19694b29b6')
-
-build() {
-    cd "${srcdir}/${pkgname}-${pkgver}"
-    
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
-            -f-debug
-    runhaskell Setup build
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-package() {
-    cd "${srcdir}/${pkgname}-${pkgver}"
-    
-    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
-    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
-    runhaskell Setup copy --destdir="${pkgdir}"
-    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
-}

Copied: hasktags/repos/community-x86_64/PKGBUILD (from rev 321956, hasktags/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-05-14 09:23:52 UTC (rev 321957)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=hasktags
+pkgver=0.70.0
+pkgrel=1
+pkgdesc="Produces ctags \"tags\" and etags \"TAGS\" files for Haskell programs"
+url="https://github.com/MarcWeber/hasktags"
+license=("custom:BSD3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-json' 'haskell-microlens-platform' 'haskell-utf8-string')
+makedepends=('ghc' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('f07196a0438500600b116c03ed9c73b81e16f8c7646558e611b552f165cce7a32902c196ce8c76f0fb47093cc3a3ffdd440141a57dbd0e32e1984966ee85be20')
+
+build() {
+    cd $pkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+            -f-debug
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $pkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $pkgname-$pkgver
+    
+    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+    runhaskell Setup copy --destdir="${pkgdir}"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list